package org.ntlab.radishforandroidstudio.cactusClient.models;


/**
 * エモートの情報を表すクラス<br>
 * 内部にエモートの種類を表す列挙型も定義
 * @author r-isitani
 *
 */
public class EmoteState {
    private EmoteType emoteType;

    private EmoteState() {
        // JSONDecode時の呼び出し用
    }

    public EmoteState(EmoteType emoteType) {
        setEmoteType(emoteType);
    }

    public EmoteType getEmoteType() {
        return emoteType;
    }

    public void setEmoteType(EmoteType emoteType) {
        this.emoteType = emoteType;
    }

    public static enum EmoteType {
        // 開始するエモートの種類の列挙
        DUMMY;
    }
}